#include <iostream>
#include <cstring>

using namespace std;

int main()
{
    int n,len,br=0;
    int rez[n];
    bool palin;
    char niz[8000],symbol;
    cin>>n;
    for (int i=0; i<n; i++)
    {
        cin>>niz;
        palin=true;
        len = strlen(niz);
        for (int j=0; j<len; j++)
        {
            if (palin)
            {
                symbol=niz[j];
                for (int l=0; l<len; l++)
                {
                    if(symbol == niz[l])
                    {
                        br++;
                    }
                }
                if(br % 2 != 0)
                {
                    br=0;
                    palin=false;
                }
            }
        }
        if (palin)
        {
            rez[i]=1;
        }
        else
        {
            rez[i]=0;
        }
    }
    for (int i=0;i<n;i++)
    {
        cout<<rez[i];
    }
    return 0;
}
